Page MenuHomePhabricator

Viewing existing references in the Bridge
Closed, ResolvedPublic13 Story Points

Description

As an editor I want to see which references exist for the statement I'm about to edit in order to judge if I need to update or remove them.

Mockups:

Button "add references" is not part of this story.

BDD
GIVEN a statement with a reference
WHEN editing it in the Data Bridge
THEN I see a references section with the reference

Acceptance criteria:

  • all references of the statement are listed below the value in a references section
  • all snaks of a reference are concatenated with "." as in mockup
  • snaks are displayed in the order they come from Wikidata (i.e. according to the snak-order)
  • in case of 0 see following mock (this is only temporary)


color of the italic text: Base30

Notes

  • might be done in a future story: reference snak values linking to entities are formatted as links to these entities unless they have a sitelink on the client (tech note: do what the formatter for Lua does)
  • evolving the data values to something human readable will be another story. The plain data values are good enough for this story

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2019, 11:18 AM
Lydia_Pintscher triaged this task as High priority.Sep 20 2019, 11:18 AM
Lydia_Pintscher moved this task from Backlog to Needs work on the Wikidata-Bridge board.
Michael updated the task description. (Show Details)Sep 24 2019, 9:22 AM
Michael updated the task description. (Show Details)Sep 24 2019, 9:26 AM
Michael updated the task description. (Show Details)Sep 24 2019, 9:29 AM

how it looks like without references

darthmon_wmde updated the task description. (Show Details)Oct 8 2019, 9:05 AM
darthmon_wmde updated the task description. (Show Details)Oct 8 2019, 9:16 AM
darthmon_wmde set the point value for this task to 13.
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.

"in case of 0 references title is not visible" contradicts the latest comment - @Charlie_WMDE help, please.

"TBD" is still not addressed - @Lydia_Pintscher @Charlie_WMDE help, please!

Charlie_WMDE updated the task description. (Show Details)Thu, Oct 31, 2:59 PM

@Pablo-WMDE fixed the title thing.

I do not know what is meant with the snaks criteria @Lydia_Pintscher what needs to go here?

In story time we said we'd not show the reference header if there are 0 references because we can't add references yet. So the add reference button can't do anything.

ah, now i remember. but since we're not rolling out before the ability to add references is included, i don't see the harm really. it'll just be a button without functionality on beta.

After some more discussion with Charlie: We are keeping the story as it was estimated with nothing for 0 references. We'll handle the adding in a separate story as a whole.

Charlie_WMDE updated the task description. (Show Details)Tue, Nov 5, 4:34 PM

@Lydia_Pintscher added temporary mock of 0 references

Change 550329 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Bridge: Add reference section component

https://gerrit.wikimedia.org/r/550329

Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-9 board.Wed, Nov 13, 2:55 PM

I added a reference to statement used on the bridge showcase page so you can test it there.

Lydia_Pintscher closed this task as Resolved.Mon, Nov 18, 9:20 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-9 board.

\o/